# getGenesisHash

> import Tabs from '@theme/Tabs'
import TabItem from '@theme/TabItem'
import CreditCost from '@site/src/components/CreditCost/CreditCostPrice.js'

# `getGenesisHash`

Returns the genesis hash for the network. <CreditCost network="solana" method="getGenesisHash" />

## Parameters

None

## Returns

`result`: (string) - The hash encoded as a `base58` string.

### Request

<Tabs>
  <TabItem value="curl">

```bash
curl https://solana-mainnet.infura.io/v3/<YOUR-API-KEY> \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1, "method":"getGenesisHash"}'
```

  </TabItem>
</Tabs>

### Response

<Tabs>
  <TabItem value="JSON">

```bash
{
  "jsonrpc":"2.0",
  "result":"EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG",
  "id":1
}
```

  </TabItem>
</Tabs>
